Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## transformation.associationtags
Class AssociationTagWindow

    java.lang.Object
      transformation.associationtags.AssociationTagWindow

    public class AssociationTagWindow

extends java.lang.Object

Constructor Summary
`AssociationTagWindow()` Constructor that finds the comment where the association tags are stored and transforms the information into suitable form for manipulation

Method Summary
`void` | `addTag()` The form for adding new association tags
`void` | `editTag(java.lang.String action, java.lang.String user, java.lang.String role, int index)` The form for editing an existing tag
`void` | `showTags()` Opens the window for displaying existing association tags

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssociationTagWindow

    public AssociationTagWindow()

  Constructor that finds the comment where the association tags are stored and transforms the information into suitable form for manipulation

Method Detail

### showTags

    public void showTags()

  Opens the window for displaying existing association tags

### addTag

    public void addTag()

  The form for adding new association tags

### editTag

    public void editTag(java.lang.String action,
                        java.lang.String user,
                        java.lang.String role,
                        int index)

  The form for editing an existing tag

  Parameters:
    `action` - Name of the current protected action
    `user` - Name of the current user
    `role` - Name of the current role
    `index` - Index of the association tag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD